Package oracle.sql.json

## Interface OracleJsonBinary

All Superinterfaces:
  `OracleJsonValue`

    public interface OracleJsonBinary
    extends OracleJsonValue

A raw binary value (in any format) stored within JSON data. Used, for example, to model a binary value stored witihin a JSON object.

### Nested Class Summary

### Nested classes/interfaces inherited from interface oracle.sql.json.OracleJsonValue

`OracleJsonValue.OracleJsonType`

### Field Summary

### Fields inherited from interface oracle.sql.json.OracleJsonValue

`FALSE, NULL, TRUE`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `equals​(Object obj)` Compares the specified object with this `OracleJsonBinary`.
`byte[]` `getBytes()` Returns this binary value as a byte array.
`RAW` `getRAW()` Returns this binary value as a `oracle.sql.RAW`
`String` `getString()` Returns this binary value as a base-16 encoded string.
`int` `hashCode()` The hashCode of this binary value.
`boolean` `isId()` Returns true if this binary value is annotated as an identifier

### Methods inherited from interface oracle.sql.json.OracleJsonValue

`asJsonArray, asJsonBinary, asJsonDate, asJsonDecimal, asJsonDouble, asJsonFloat, asJsonIntervalDS, asJsonIntervalYM, asJsonNumber, asJsonObject, asJsonString, asJsonTimestamp, asJsonTimestampTZ, getOracleJsonType, toString, wrap`

### Method Detail

#### getBytes

    byte[] getBytes()

Returns this binary value as a byte array.

Returns:
  the binary value

#### getRAW

    RAW getRAW()

Returns this binary value as a `oracle.sql.RAW`

Returns:
  the binary value

#### getString

    String getString()

Returns this binary value as a base-16 encoded string.

Returns:
  the string value

#### isId

    boolean isId()

Returns true if this binary value is annotated as an identifier

Returns:
  true if an identifier, false otherwise.

#### hashCode

    int hashCode()

The hashCode of this binary value. Must return a hashCode equal to `java.util.Arrays.hashCode(getBytes())`.

Overrides:
  `hashCode` in class `Object`
Returns:
  the hash code

#### equals

    boolean equals​(Object obj)

Compares the specified object with this `OracleJsonBinary`. Returns true if and only if the other object is an instance of `OracleJsonBinary` and the result of calling `java.util.Arrays.equals(this.getBytes() , (OracleJsonBinary)obj.getBytes())` returns true.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object to be compared for equality
Returns:
  true if the specified object is equal to this `OracleJsonBinary`.